org.apache.catalina.core

## Class ContainerBase.PrivilegedAddChild

- java.lang.Object
- - org.apache.catalina.core.ContainerBase.PrivilegedAddChild

- All Implemented Interfaces:
    PrivilegedAction<Void>
  Enclosing class:
    ContainerBase

      protected class ContainerBase.PrivilegedAddChild
      extends Object
      implements PrivilegedAction<Void>

  Perform addChild with the permissions of this class. addChild can be called with the XML parser on the stack, this allows the XML parser to have fewer privileges than Tomcat.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `Void` | `run()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### run

          public Void run()

      Specified by:
        `run` in interface `PrivilegedAction<Void>`

Copyright © 2000-2021 Apache Software Foundation. All Rights Reserved.